> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ofauth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update current user profile

> Update current user profile

**Permission Required:** `profile:write`



## OpenAPI

````yaml https://api.ofauth.com/openapi.json patch /v2/access/self
openapi: 3.1.0
info:
  title: OFAuth API
  version: 1.0.0
  description: >-
    OFAuth API including Account, Connections, Link, Access, Dynamic Rules,
    Vault+, and Realtime webhook contracts
  contact:
    email: support@ofauth.com
    url: https://ofauth.com/
servers:
  - url: https://api.ofauth.com
security:
  - ApiKey: []
tags:
  - name: Account
    description: Account management endpoints.
  - name: Connections
    description: Connection management endpoints.
  - name: Link
    description: Link authentication and session endpoints.
  - name: Access
    description: All Access related endpoints.
  - name: Analytics
    description: 'Access: charts, tops, and performance metrics.'
  - name: Earnings
    description: 'Access: earnings charts, transactions, and chargebacks.'
  - name: Messages
    description: 'Access: messaging, chats, queue, and mass messaging.'
  - name: Posts
    description: 'Access: create, edit, list, and manage posts.'
  - name: Promotions
    description: 'Access: promotions, trials, and bundles.'
  - name: Users
    description: 'Access: user profiles, subscriptions, and actions.'
  - name: Vault
    description: 'Access: vault folders, media, and management.'
  - name: Upload
    description: 'Access: media upload and processing.'
  - name: Self
    description: 'Access: authenticated account details and settings.'
  - name: Stories
    description: 'Access: stories listing and management.'
  - name: Subscriptions
    description: 'Access: subscription offers, discounts, and management.'
  - name: Realtime
    description: >-
      Realtime webhook delivery contracts, including relayed OnlyFans websocket
      events.
  - name: Dynamic Rules
    description: Dynamic signing rules operations.
  - name: Vault+
    description: Vault+ caching and management.
externalDocs:
  description: OFAuth Developer Documentation
  url: https://docs.ofauth.com
paths:
  /v2/access/self:
    patch:
      tags:
        - Self
      summary: Update current user profile
      description: |-
        Update current user profile

        **Permission Required:** `profile:write`
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  maxLength: 100
                  description: Display name
                about:
                  type: string
                  nullable: true
                  maxLength: 1000
                  description: Profile bio/description
                isMarkdownDisabledForAbout:
                  type: boolean
                  description: Disable Markdown rendering for the profile bio
                website:
                  type: string
                  nullable: true
                  maxLength: 2048
                  description: Profile website URL
                wishlist:
                  type: string
                  nullable: true
                  maxLength: 2048
                  description: Profile wishlist URL
                location:
                  type: string
                  nullable: true
                  maxLength: 100
                  description: Profile location
                showPostsInFeed:
                  type: boolean
                  description: Show posts in the creator feed
                showSubscribersCount:
                  type: boolean
                  description: Show subscriber count on the profile
                showMediaCount:
                  type: boolean
                  description: Show media count on the profile
                isReferrerAllowed:
                  type: boolean
                  description: Allow referrer attribution for the profile
                tipsEnabled:
                  type: boolean
                  description: Enable tips on the profile
                tipsTextEnabled:
                  type: boolean
                  description: Allow text with tips
                tipsMin:
                  type: number
                  minimum: 0
                  description: Minimum tip amount
                tipsMax:
                  type: number
                  minimum: 0
                  description: Maximum tip amount
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: number
                  username:
                    type: string
                  name:
                    type: string
                  isVerified:
                    type: boolean
                  avatar:
                    type: string
                    nullable: true
                  avatarThumbs:
                    type: object
                    nullable: true
                    properties:
                      c50:
                        type: string
                      c144:
                        type: string
                    required:
                      - c50
                      - c144
                  lists:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          anyOf:
                            - type: string
                            - type: number
                        type:
                          type: string
                        name:
                          type: string
                      required:
                        - id
                        - type
                        - name
                  displayName:
                    type: string
                  notice:
                    type: string
                  about:
                    type: string
                    nullable: true
                  isMarkdownDisabledForAbout:
                    type: boolean
                  website:
                    type: string
                    nullable: true
                  wishlist:
                    type: string
                    nullable: true
                  location:
                    type: string
                    nullable: true
                  header:
                    type: string
                    nullable: true
                  headerSize:
                    type: object
                    nullable: true
                    properties:
                      width:
                        type: number
                      height:
                        type: number
                    required:
                      - width
                      - height
                  headerThumbs:
                    type: object
                    nullable: true
                    properties:
                      w480:
                        type: string
                      w760:
                        type: string
                    required:
                      - w480
                      - w760
                  subscribersCount:
                    type: number
                    nullable: true
                  postsCount:
                    type: number
                  archivedPostsCount:
                    type: number
                  privateArchivedPostsCount:
                    type: number
                  photosCount:
                    type: number
                  videosCount:
                    type: number
                  audiosCount:
                    type: number
                  mediasCount:
                    type: number
                  favoritesCount:
                    type: number
                  favoritedCount:
                    type: number
                  joinDate:
                    type: string
                  lastSeen:
                    type: string
                    nullable: true
                  subscribedBy:
                    type: boolean
                  subscribedByExpire:
                    type: boolean
                    nullable: true
                  subscribedByExpireDate:
                    type: string
                    nullable: true
                  subscribedByAutoprolong:
                    type: boolean
                    nullable: true
                  subscribedIsExpiredNow:
                    type: boolean
                    nullable: true
                  subscribedByData:
                    type: object
                    nullable: true
                    properties:
                      price:
                        type: number
                      newPrice:
                        type: number
                      regularPrice:
                        type: number
                      subscribePrice:
                        type: number
                      discountPercent:
                        type: number
                      discountPeriod:
                        type: number
                      subscribeAt:
                        type: string
                      expiredAt:
                        type: string
                      renewedAt:
                        type: string
                        nullable: true
                      discountFinishedAt:
                        type: string
                        nullable: true
                      discountStartedAt:
                        type: string
                        nullable: true
                      status:
                        type: string
                        nullable: true
                      isMuted:
                        type: boolean
                      unsubscribeReason:
                        type: string
                      duration:
                        type: string
                      hasActivePaidSubscriptions:
                        type: boolean
                      showPostsInFeed:
                        type: boolean
                      subscribes:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: number
                            userId:
                              type: number
                            subscriberId:
                              type: number
                            date:
                              type: string
                            duration:
                              type: number
                            startDate:
                              type: string
                            expireDate:
                              type: string
                            cancelDate:
                              type: string
                              nullable: true
                            price:
                              type: number
                            regularPrice:
                              type: number
                            discount:
                              type: number
                            earningId:
                              type: number
                            action:
                              type: string
                            type:
                              type: string
                            offerStart:
                              type: string
                              nullable: true
                            offerEnd:
                              type: string
                              nullable: true
                            isCurrent:
                              type: boolean
                          required:
                            - id
                            - userId
                            - subscriberId
                            - date
                            - duration
                            - startDate
                            - expireDate
                            - cancelDate
                            - price
                            - regularPrice
                            - discount
                            - earningId
                            - action
                            - type
                            - offerStart
                            - offerEnd
                            - isCurrent
                  subscribedOn:
                    type: boolean
                  subscribedOnExpiredNow:
                    type: boolean
                  subscribedOnDuration:
                    type: string
                  subscribedOnData:
                    type: object
                    nullable: true
                    properties:
                      price:
                        type: number
                      newPrice:
                        type: number
                      regularPrice:
                        type: number
                      subscribePrice:
                        type: number
                      discountPercent:
                        type: number
                      discountPeriod:
                        type: number
                      subscribeAt:
                        type: string
                      expiredAt:
                        type: string
                      renewedAt:
                        type: string
                        nullable: true
                      discountFinishedAt:
                        type: string
                        nullable: true
                      discountStartedAt:
                        type: string
                        nullable: true
                      status:
                        type: string
                        nullable: true
                      isMuted:
                        type: boolean
                      unsubscribeReason:
                        type: string
                      duration:
                        type: string
                      hasActivePaidSubscriptions:
                        type: boolean
                      subscribes:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: number
                            userId:
                              type: number
                            subscriberId:
                              type: number
                            date:
                              type: string
                            duration:
                              type: number
                            startDate:
                              type: string
                            expireDate:
                              type: string
                            cancelDate:
                              type: string
                              nullable: true
                            price:
                              type: number
                            regularPrice:
                              type: number
                            discount:
                              type: number
                            earningId:
                              type: number
                            action:
                              type: string
                            type:
                              type: string
                            offerStart:
                              type: string
                              nullable: true
                            offerEnd:
                              type: string
                              nullable: true
                            isCurrent:
                              type: boolean
                          required:
                            - id
                            - userId
                            - subscriberId
                            - date
                            - duration
                            - startDate
                            - expireDate
                            - cancelDate
                            - price
                            - regularPrice
                            - discount
                            - earningId
                            - action
                            - type
                            - offerStart
                            - offerEnd
                            - isCurrent
                      tipsSumm:
                        type: number
                      subscribesSumm:
                        type: number
                      messagesSumm:
                        type: number
                      postsSumm:
                        type: number
                      streamsSumm:
                        type: number
                      totalSumm:
                        type: number
                  subscribePrice:
                    type: number
                  currentSubscribePrice:
                    type: number
                    nullable: true
                  canAddSubscriber:
                    type: boolean
                  tipsEnabled:
                    type: boolean
                  tipsTextEnabled:
                    type: boolean
                  tipsMin:
                    type: number
                  tipsMinInternal:
                    type: number
                  tipsMax:
                    type: number
                  canLookStory:
                    type: boolean
                  canCommentStory:
                    type: boolean
                  hasNotViewedStory:
                    type: boolean
                  hasStories:
                    type: boolean
                  isRestricted:
                    type: boolean
                  canRestrict:
                    type: boolean
                  isBlocked:
                    type: boolean
                  canReport:
                    type: boolean
                  canUnsubscribe:
                    type: boolean
                  isPendingAutoprolong:
                    type: boolean
                  isPerformer:
                    type: boolean
                  isRealPerformer:
                    type: boolean
                  canReceiveChatMessage:
                    type: boolean
                  canChat:
                    type: boolean
                  showPostsInFeed:
                    type: boolean
                  hasPinnedPosts:
                    type: boolean
                  hasLabels:
                    type: boolean
                  isPrivateRestriction:
                    type: boolean
                  showSubscribersCount:
                    type: boolean
                  showMediaCount:
                    type: boolean
                  isReferrerAllowed:
                    type: boolean
                  canCreatePromotion:
                    type: boolean
                  canCreateTrial:
                    type: boolean
                  isAdultContent:
                    type: boolean
                  canTrialSend:
                    type: boolean
                  isFriend:
                    type: boolean
                  hasScheduledStream:
                    type: boolean
                  hasStream:
                    type: boolean
                  canPayInternal:
                    type: boolean
                required:
                  - id
                  - username
                  - name
                  - isVerified
                  - avatar
                  - lists
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '429':
          description: Rate Limit Exceeded
        '500':
          description: Internal Server Error
        '502':
          description: Bad Gateway
      deprecated: true
      security:
        - ApiKey: []
          ConnectionId: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      name: apiKey
      in: header
      description: >-
        Your OFAuth [API key](/quickstart#2-copy-your-api-key) for
        authenticating requests.
    ConnectionId:
      type: apiKey
      name: x-connection-id
      in: header
      description: >-
        Requires a [connection](/guides/connections) via the x-connection-id
        header.

````